package com.sv.service.api;

import com.github.pagehelper.PageHelper;
import com.sv.entity.PayConfig;
import com.sv.mapper.PayConfigMapper;
import com.ydd.framework.core.common.Pagination;
import com.ydd.framework.core.service.impl.BaseServiceImpl;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * Service - 支付参数配置表
 *
 * @author lihong
 * @since 2018-08-03
 */
@Service
@Transactional(readOnly = true)
public class PayConfigService extends BaseServiceImpl  {

	private final Logger logger = LoggerFactory.getLogger(PayConfigService.class);

	@Resource
	private PayConfigMapper payConfigMapper;

	/**
	 * 创建支付参数配置表
	 *
	 * @param payConfig 支付参数配置表
	 */
	@Transactional
    public void save(PayConfig payConfig) {
		if (payConfig.getId() != null && payConfig.getId() > 0) {
			// 更新
			payConfigMapper.update(payConfig);
		} else {
			// 新建
			payConfigMapper.insert(payConfig);
		}
	}

	/**
	 * 更新支付参数配置表
 	 *
	 * @param payConfig 支付参数配置表
	 */
	@Transactional
    public void update(PayConfig payConfig) {
		payConfigMapper.update(payConfig);
	}

	/**
	 * 删除支付参数配置表
	 *
	 * @param id 编号
   	 * @return 删除数量
	 */
	@Transactional
    public Integer delete(Integer id) {
		if (id == null || id <= 0) {
			return 0;
		}
		return payConfigMapper.delete(id);
	}

	/**
	 * 删除支付参数配置表
	 *
	 * @param ids 编号数组
	 * @return 删除数量
	 */
	@Transactional
    public Integer deleteByIds(Integer[] ids) {
		if (ids == null || ids.length == 0) {
			return 0;
		}
		return payConfigMapper.deleteByIds(ids);
	}

	/**
	 * 查询支付参数配置表
	 *
	 * @param id 编号
	 * @return 支付参数配置表
	 */
	public PayConfig findById(Integer id) {
		return payConfigMapper.findById(id);
	}

	/**
	 * 查询支付参数配置表
	 *
	 * @param pagination 分页信息
	 * @return 分页结果
	 */
	public Pagination findPage(Pagination pagination) {
		PageHelper.startPage(pagination.getPage(), pagination.getPageSize());
		PageHelper.orderBy("id desc");
		pagination.setQueryResult(payConfigMapper.findAll());
		return pagination;
	}

	/**
	 * api 根据name获取支付信息
	 * @param name
	 * @return
	 */
	public PayConfig findKey(String name){
		return  payConfigMapper.findKey(name);
	}
}

